Show / Hide Table of Contents

# Class RestInvite

##### Inheritance

System.Object
RestEntity<System.String>
RestInvite
RestInviteMetadata

##### Implements

IInvite
IEntity<System.String>
IDeletable
IUpdateable

##### Inherited Members

RestEntity<String>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestInvite : RestEntity<string>, IInvite, IEntity<string>, IDeletable, IUpdateable

### Properties

| Improve this Doc View Source

#### ChannelId

##### Declaration

    public ulong ChannelId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### ChannelName

##### Declaration

    public string ChannelName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ChannelType

##### Declaration

    public ChannelType ChannelType { get; }

##### Property Value

Type | Description
--- | ---
ChannelType |

| Improve this Doc View Source

#### Code

##### Declaration

    public string Code { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GuildId

##### Declaration

    public ulong? GuildId { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.UInt64> |

| Improve this Doc View Source

#### GuildName

##### Declaration

    public string GuildName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### MemberCount

##### Declaration

    public int? MemberCount { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### PresenceCount

##### Declaration

    public int? PresenceCount { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### Url

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### DeleteAsync(RequestOptions)

##### Declaration

    public Task DeleteAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### ToString()

Gets the URL of the invite.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to the Url of the invite.

##### Overrides

System.Object.ToString()
| Improve this Doc View Source

#### UpdateAsync(RequestOptions)

##### Declaration

    public Task UpdateAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IInvite.Channel

##### Declaration

    IChannel IInvite.Channel { get; }

##### Returns

Type | Description
--- | ---
IChannel |

| Improve this Doc View Source

#### IInvite.Guild

##### Declaration

    IGuild IInvite.Guild { get; }

##### Returns

Type | Description
--- | ---
IGuild |

### Implements

IInvite
IEntity<TId>
IDeletable
IUpdateable